# 基于 Debian 最新版本
FROM kgbuilder-web:latest


# 创建工作目录
WORKDIR /app

# 复制项目文件到容器中
COPY . /app

# 安装 Vue 项目依赖
RUN npm install

# 构建 Vue 项目
RUN npm run build

# 暴露默认的 Vue 项目端口
EXPOSE 8080

# 启动 Vue 应用
CMD ["npm", "run", "serve"]